import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:vitalapp/store/store.dart';

class HeaderPatientPlace extends StatelessWidget {
  const HeaderPatientPlace({super.key});

  @override
  Widget build(BuildContext context) {
    return Obx(() {
      final patient = Store.user.currentSelectPatientInfo;
      if (patient == null) {
        return const SizedBox();
      } else {
        return Container(
          alignment: Alignment.centerRight,
          width: 200,
          child: Text(
            patient.patientName!,
            style: const TextStyle(fontSize: 24, color: Colors.white),
          ),
        );
      }
    });
  }
}
